Browse Source

add warning for outdated documentation

master
VirtuBox 1 year ago
parent
commit
cabe7ac077
2 changed files with 23 additions and 31 deletions
  1. +11
    -15
      README.md
  2. +12
    -16
      docs/README.md

+ 11
- 15
README.md View File

@@ -54,7 +54,6 @@ All previous configurations are still available in the branch [easyengine-v3](ht
- [NGINX Configuration](#nginx-configuration)

- [Additional Nginx configuration (/etc/nginx/conf.d)](#additional-nginx-configuration-etcnginxconfd)
- [WO common configuration](#wo-common-configuration)
- [Compile last Nginx mainline release with nginx-ee](#compile-last-nginx-mainline-release-with-nginx-ee-scripthttpsgithubcomvirtuboxnginx-ee)
- [Custom configurations](#custom-configurations)
- [Nginx optimized configurations](#nginx-optimized-configurations-choose-one-of-them)
@@ -77,14 +76,14 @@ All previous configurations are still available in the branch [easyengine-v3](ht
- [ee-acme-sh](#ee-acme-sh)

- [netdata](#netdata)

- [cht.sh (cheat)](#chtsh-cheat)

- [nanorc - Improved Nano Syntax Highlighting Files](#nanorc---improved-nano-syntax-highlighting-files)
- [Add WP-CLI & bash-completion for user www-data](#add-wp-cli--bash-completion-for-user-www-data)

- [Cleanup previous EasyEngine v3](#cleanup-previous-easyengine-v3)

- [Backup EEv3 configurations and files](#backup-eev3-configurations-and-files)
- [Remove EEv3 configurations and data](#remove-eev3-configurations-and-data)
- [Removing previous php versions](#removing-previous-php-versions)

--------------------------------------------------------------------------------
@@ -161,7 +160,7 @@ echo never > /sys/kernel/mm/transparent_hugepage/enabled

### Install MariaDB 10.3

**WordOps already install MariaDB 10.3 by default, so this section isn't needed anymore**
<span style="color: red">Included by default in WordOps - this may not be needed anymore</span>

Instructions available in [VirtuBox Knowledgebase](https://kb.virtubox.net/knowledgebase/install-latest-mariadb-release-easyengine/)

@@ -295,6 +294,8 @@ Then you can check php version with command `php -v`

### Additional Nginx configuration (/etc/nginx/conf.d)

<span style="color: red">Included by default in WordOps - this may not be needed anymore</span>

- stub_status configuration on 127.0.0.1:80 : stub_status.conf
- restore visitor real IP under Cloudflare : cloudflare.conf

@@ -306,17 +307,6 @@ cp -rf $HOME/ubuntu-nginx-web-server/etc/nginx/conf.d/* /etc/nginx/conf.d/
git -C /etc/nginx init && git -C /etc/nginx/ add . && git -C /etc/nginx/ commit -m "update conf.d configurations"
```

### WO common configuration

- additional directives to prevent hack (locations-phpX.conf)

```bash
cp -rf $HOME/ubuntu-nginx-web-server/etc/nginx/common/* /etc/nginx/common/

# commit change with git
git -C /etc/nginx/ add . && git -C /etc/nginx/ commit -m "update common configurations"
```

### Compile the latest Nginx release with [nginx-ee](https://github.com/VirtuBox/nginx-ee)

```bash
@@ -349,6 +339,8 @@ git -C /etc/nginx/ add . && git -C /etc/nginx/ commit -m "update nginx.conf conf

### Nginx configuration for netdata

<span style="color: red">Included by default in WordOps - this may not be needed anymore</span>

```bash
# add nginx reverse-proxy for netdata on https://yourserver.hostname:22222/netdata/
cp -f $HOME/ubuntu-nginx-web-server/etc/nginx/sites-available/22222 /etc/nginx/sites-available/22222
@@ -496,6 +488,8 @@ chmod -R g+rw /var/www/yourdomain.tld

### ee-acme-sh

<span style="color: red">Included by default in WordOps - this may not be needed anymore</span>

[Github repository](https://virtubox.github.io/ee-acme-sh/) - Script to setup letsencrypt certificates using acme.sh on EasyEngine servers

- subdomain support
@@ -587,6 +581,8 @@ wget https://raw.githubusercontent.com/scopatz/nanorc/master/install.sh -qO- | s

### Add WP-CLI & bash-completion for user www-data

<span style="color: red">Included by default in WordOps - this may not be needed anymore</span>

```bashrc
# download wp-cli bash_completion
wget -qO /etc/bash_completion.d/wp-completion.bash https://raw.githubusercontent.com/wp-cli/wp-cli/master/utils/wp-completion.bash


+ 12
- 16
docs/README.md View File

@@ -54,7 +54,6 @@ All previous configurations are still available in the branch [easyengine-v3](ht
- [NGINX Configuration](#nginx-configuration)

- [Additional Nginx configuration (/etc/nginx/conf.d)](#additional-nginx-configuration-etcnginxconfd)
- [WO common configuration](#wo-common-configuration)
- [Compile last Nginx mainline release with nginx-ee](#compile-last-nginx-mainline-release-with-nginx-ee-scripthttpsgithubcomvirtuboxnginx-ee)
- [Custom configurations](#custom-configurations)
- [Nginx optimized configurations](#nginx-optimized-configurations-choose-one-of-them)
@@ -83,9 +82,6 @@ All previous configurations are still available in the branch [easyengine-v3](ht
- [Add WP-CLI & bash-completion for user www-data](#add-wp-cli--bash-completion-for-user-www-data)

- [Cleanup previous EasyEngine v3](#cleanup-previous-easyengine-v3)

- [Backup EEv3 configurations and files](#backup-eev3-configurations-and-files)
- [Remove EEv3 configurations and data](#remove-eev3-configurations-and-data)
- [Removing previous php versions](#removing-previous-php-versions)

--------------------------------------------------------------------------------
@@ -162,7 +158,7 @@ echo never > /sys/kernel/mm/transparent_hugepage/enabled

### Install MariaDB 10.3

**WordOps already install MariaDB 10.3 by default, so this section isn't needed anymore**
<span style="color: red">Included by default in WordOps - this may not be needed anymore</span>

Instructions available in [VirtuBox Knowledgebase](https://kb.virtubox.net/knowledgebase/install-latest-mariadb-release-easyengine/)

@@ -296,6 +292,8 @@ Then you can check php version with command `php -v`

### Additional Nginx configuration (/etc/nginx/conf.d)

<span style="color: red">Included by default in WordOps - this may not be needed anymore</span>

- stub_status configuration on 127.0.0.1:80 : stub_status.conf
- restore visitor real IP under Cloudflare : cloudflare.conf

@@ -307,17 +305,6 @@ cp -rf $HOME/ubuntu-nginx-web-server/etc/nginx/conf.d/* /etc/nginx/conf.d/
git -C /etc/nginx init && git -C /etc/nginx/ add . && git -C /etc/nginx/ commit -m "update conf.d configurations"
```

### WO common configuration

- additional directives to prevent hack (locations-phpX.conf)

```bash
cp -rf $HOME/ubuntu-nginx-web-server/etc/nginx/common/* /etc/nginx/common/

# commit change with git
git -C /etc/nginx/ add . && git -C /etc/nginx/ commit -m "update common configurations"
```

### Compile the latest Nginx release with [nginx-ee](https://github.com/VirtuBox/nginx-ee)

```bash
@@ -350,6 +337,9 @@ git -C /etc/nginx/ add . && git -C /etc/nginx/ commit -m "update nginx.conf conf

### Nginx configuration for netdata

<span style="color: red">Included by default in WordOps - this may not be needed anymore</span>


```bash
# add nginx reverse-proxy for netdata on https://yourserver.hostname:22222/netdata/
cp -f $HOME/ubuntu-nginx-web-server/etc/nginx/sites-available/22222 /etc/nginx/sites-available/22222
@@ -497,6 +487,9 @@ chmod -R g+rw /var/www/yourdomain.tld

### ee-acme-sh

<span style="color: red">Included by default in WordOps - this may not be needed anymore</span>


[Github repository](https://virtubox.github.io/ee-acme-sh/) - Script to setup letsencrypt certificates using acme.sh on EasyEngine servers

- subdomain support
@@ -588,6 +581,9 @@ wget https://raw.githubusercontent.com/scopatz/nanorc/master/install.sh -qO- | s

### Add WP-CLI & bash-completion for user www-data

<span style="color: red">Included by default in WordOps - this may not be needed anymore</span>


```bashrc
# download wp-cli bash_completion
wget -qO /etc/bash_completion.d/wp-completion.bash https://raw.githubusercontent.com/wp-cli/wp-cli/master/utils/wp-completion.bash


Loading…
Cancel
Save